html,
body,
*,
*:before,
*:after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  line-height: 1.5;
  color: #333;
  letter-spacing: 0.05rem;
}

:root {
  --theme-color: #8EDDD7;
  --sub-theme-color: #A7E1DD;
  --accent-color: #E5B6F1;
  --theme-color-b: #74BDFF;
  --theme-color-lb: #ADD8FF;
  --theme-color-p: #FFAFCF;
}

.pc {
  display: none !important;
}

.display_none {
  display: none !important;
}

.br {
  display: none !important;
}

.pc-container {
  padding: 0 !important;
  margin: 0 !important;
  display: block;
  position: relative;
  width: 100%;
  min-height: 100%;
  overflow: hidden;
}

.sp-container {
  width: 100%;
  max-width: 100%;
  overflow: hidden;
  display: block;
  background-color: #fff;
}

.left-container,
.right-container {
  display: none;
}

a,
button,
input[type="submit"],
input[type="reset"] {
  transition: filter 0.3s ease-in-out;
}

a:hover,
a.selected,
button:hover,
.view_button:hover,
input[type="submit"]:hover,
input[type="reset"]:hover {
  transition: filter 0.3s ease-in-out;
  filter: brightness(0.9);
}

.section_container {
  padding: 50px 0;
}

.section_container .inner {
  width: 90%;
  margin: 0 auto;
}

.title {
  font-family: almanach, sans-serif;
  font-weight: normal;
  font-style: normal;
  font-size: 32px;
  color: var(--theme-color);
  text-align: center;
  letter-spacing: 0.3rem;
}

.sub-title {
  font-size: 14px;
  text-align: center;
  margin: 5px 0 30px;
  letter-spacing: 0.1rem;
}

.view_button {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  font-family: almanach, sans-serif;
  width: fit-content;
  min-width: 180px;
  margin: 0 auto;
  text-align: center;
  background-color: #FAFAFA;
  border: 1px solid #ccc;
  color: #333;
  margin-top: 30px;
  padding: 8px 20px;
  cursor: pointer;
}

#information .view_button {
  background-color: #fff;
}

#wraper {
  overflow-x: hidden;
  position: relative;
  z-index: 0;
  transition: transform 0.3s ease-out;
  overflow: hidden;
}

#open {
  display: none;
}

.main_nav.open {
  transform: translateX(0);
}

#drawer_gray_out {
  position: fixed;
  inset: 0;
  margin: auto;
  background-color: rgba(0, 0, 0, 0.75);
  z-index: 1;
  cursor: pointer;
  display: none;
}

/* .main_nav */
.main_nav {
  width: 100%;
  height: 100vh;
  overflow-y: scroll;
  position: fixed;
  transform: translateX(100%);
  z-index: 20;
  -webkit-overflow-scrolling: touch;
  transition: transform 0.3s ease-in-out;
  padding-top: 60px;
  background-color: #fff;
}

.main_nav .inner {
  width: 100%;
}

.main_nav form {
  text-align: center;
  padding: 20px 0;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.main_nav form input {
  height: 40px;
  width: 180px;
  color: #333;
  border: 2px solid var(--sub-theme-color);
  border-radius: 5px;
  font-size: 16px;
  padding-left: 15px;
}

.main_nav form input::placeholder {
  color: var(--sub-theme-color);
}

.main_nav form input:focus {
  border-color: var(--theme-color);
  outline: none;
}

.main_nav form button {
  width: 40px;
  height: 40px;
  color: #fff;
  background-color: var(--sub-theme-color);
  border: none;
  border-radius: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
  cursor: pointer;
}

.main_nav p {
  font-size: 18px;
  padding: 10px;
  background-color: #F3F3F3;
  text-align: center;
  font-weight: bold;
}

.main_nav p span {
  color: var(--theme-color);
}

.main_nav .inner .top {
  width: 90%;
  margin: 0 auto;
  padding: 30px 0;
}

.main_nav .inner .top h2 {
  font-size: 18px;
  font-weight: bold;
}

.main_nav .inner .top .area-list {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 10px;
  margin-top: 10px;
  overflow: hidden;
}

.main_nav .inner .top .area-list li {
  display: block;
  width: calc((100% - 20px) / 3);
}

.main_nav .inner .top .area-list li a {
  display: block;
  font-size: 16px;
  font-weight: bold;
  color: #fff;
  background-color: var(--sub-theme-color);
  padding: 8px 0;
  border-radius: 5px;
  text-align: center;
}

.main_nav .inner .top .area-list li.is-active a,
.main_nav .inner .top .area-list li.is-current a {
  background-color: var(--accent-color);
}

.main_nav .inner .top .area-list .city-list {
  display: flex;
  flex-wrap: wrap;
  gap: 6px;
  max-height: 0;
  opacity: 0;
  transform: translateY(-6px);
  overflow: hidden;
  pointer-events: none;
  transition:
    max-height 0.35s ease,
    opacity 0.3s ease,
    transform 0.3s ease;
}

.main_nav .inner .top .area-list .city-list.is-open {
  max-height: 800px;
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
  margin-top: 6px;
}

.main_nav .inner .top .area-list .city-list li {
  width: 100%;
}

.main_nav .inner .top .area-list .city-list li a {
  display: block;
  font-size: 16px;
  color: var(--accent-color);
  background-color: #fff;
  border: 1px solid var(--accent-color);
  padding: 8px 0;
  border-radius: 5px;
  text-align: center;
  font-weight: bold;
}

.main_nav .inner .bottom ul li {
  position: relative;
  background-color: #fff;
  border-bottom: 1px solid #ccc;
}

.main_nav .inner .bottom ul li:first-of-type {
  border-top: 1px solid #ccc;
}

.main_nav .inner .bottom ul li::before {
  content: "";
  position: absolute;
  right: 15px;
  top: 12px;
  width: 26px;
  height: 26px;
  background-color: #ccc;
  border-radius: 50%;
  z-index: 1;
}

.main_nav .inner .bottom ul li::after {
  content: "";
  position: absolute;
  right: 23px;
  top: 20px;
  width: 7px;
  height: 14px;
  background-image: url(../img/common/right-triangle-arrow.png);
  background-size: 100%;
  background-repeat: no-repeat;
  z-index: 2;
}

.main_nav .inner .bottom ul li a {
  font-size: 18px;
  font-weight: bold;
  color: #333;
  display: block;
  padding: 10px 0;
  width: 90%;
  margin: 0 auto;
}

.main_nav .inner .sns_link {
  padding: 30px 0;
}

.main_nav .inner .sns_link ul {
  overflow: hidden;
  font-size: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.main_nav .inner .sns_link ul li a {
  width: 30px;
  fill: #333;
}

.main_nav .inner .sns_link ul li a svg {
  width: 30px;
  height: 30px;
}

/* header */
header {
  width: 100%;
  height: 60px;
  margin: 0 auto;
  background-color: rgba(255, 255, 255, .9);
  z-index: 20;
  position: fixed;
  transition: transform 0.3s ease-out;
  text-align: center;
  border-bottom: 1px solid #ccc;
}

header .inner {
  position: relative;
  padding: 16px 0;
}

header .center {
  display: inline-block;
}

header .center a img {
  width: 180px;
  display: inline-block;
  vertical-align: top;
}

header .center a span {
  font-weight: 400;
  font-size: 13px;
  color: #fff;
  display: inline-block;
  vertical-align: top;
  margin-top: 3px;
}

/* #sp-menu-btn */
#sp-menu-btn {
  position: absolute;
  width: 29px;
  height: 18.45px;
  cursor: pointer;
  z-index: 20;
  right: 15px;
  top: 18px;
}

#sp-menu-btn span {
  display: block;
  position: absolute;
  height: 1px;
  width: 100%;
  background: #333;
  left: 0;
  transition: transform 0.25s ease, opacity 0.2s ease;
}

#sp-menu-btn span:nth-child(1) {
  top: 0;
}

#sp-menu-btn span:nth-child(2) {
  top: 10px;
}

#sp-menu-btn span:nth-child(3) {
  top: 20px;
}

#sp-menu-btn p {
  font-size: 10px;
  font-weight: bold;
  text-align: center;
  color: #333;
  padding-top: 23px;
  margin-top: 16px;
}

#open:checked~header #sp-menu-btn span:nth-child(1) {
  transform: translateY(10px) rotate(45deg);
}

#open:checked~header #sp-menu-btn span:nth-child(2) {
  opacity: 0;
}

#open:checked~header #sp-menu-btn span:nth-child(3) {
  transform: translateY(-10px) rotate(-45deg);
}

#container {
  padding-top: 60px;
}

/* #breadcrumbs */
#breadcrumbs {
  width: 90%;
  margin: 10px auto;
}

#breadcrumbs ol {
  display: inline-block;
}

#breadcrumbs ol li {
  display: inline-block;
  vertical-align: middle;
  font-size: 12px;
  padding-top: 1px;
  color: #333;
  letter-spacing: 0.1em;
}

#breadcrumbs ol li:after {
  content: '>';
  font-size: 12px;
  padding: 3px 2px 0;
  display: inline-block;
  vertical-align: top;
}

#breadcrumbs ol li:last-of-type:after {
  content: '';
}

#breadcrumbs ol li a {
  color: #333;
}

#breadcrumbs ol li:last-of-type a span {
  text-decoration: none;
}

#breadcrumbs ol li a span {
  font-size: 12px;
  display: inline-block;
  vertical-align: middle;
  padding-top: 1px;
  text-decoration: underline;
  font-weight: 300;
  font-style: normal;
  white-space: nowrap;
  letter-spacing: 0.1em;
}

article#main {
  position: relative;
}

#pre-footer {
  padding: 30px 0;
}

#pre-footer .inner {
  width: 90%;
  margin: 0 auto;
}

#pre-footer .inner>p {
  font-size: 16px;
  text-align: center;
}

#pre-footer .inner ul {
  max-width: 80%;
  margin: 0 auto;
  overflow: hidden;
  padding: 20px 0 30px;
}

#pre-footer .inner ul li {
  margin-bottom: 10px;
}

#pre-footer .inner ul li:last-of-type {
  margin-bottom: 0;
}

#pre-footer .inner ul li a {
  position: relative;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 10px;
}

#pre-footer .inner ul li a img {
  position: relative;
  display: block;
  z-index: 0;
}

#pre-footer .inner .bottom {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  overflow: hidden;
  padding: 30px 0;
}

#pre-footer .inner .bottom img {
  width: 70%;
  max-width: 300px;
  margin: 0 auto;
  display: block;
  align-self: center;
}

#pre-footer .inner .bottom p {
  border-top: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
  font-size: 14px;
  text-align: left;
  padding: 8px 0;
  margin-top: 5px;
}

footer {
  position: relative;
  background-color: #222;
}

footer .inner .center {
  overflow: hidden;
  padding: 30px 0;
}

footer .inner .center h2 {
  font-size: 16px;
  color: #fff;
}

footer .inner .center .areas-list {
  overflow: hidden;
  margin-top: 15px;
  display: flex;
  flex-wrap: wrap;
  gap: 20px 30px;
}

footer .inner .center .areas-list .area-item {
  flex-basis: calc((100% - 30px) / 2);
}

footer .inner .center .areas-list .area-item .area-title {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 15px;
  border-bottom: 1px solid #666;
  margin-bottom: 5px;
}

footer .inner .center .areas-list .area-item .area-title>a {
  font-size: 16px;
  color: #fff;
  display: inline-block;
  padding-bottom: 5px;
}

footer .inner .center .areas-list .area-item .toggle-cities {
  font-size: 14px;
  cursor: pointer;
  user-select: none;
  padding-bottom: 5px;
}

footer .inner .center .areas-list .area-item .toggle-cities::after {
  content: '▼';
  display: inline-block;
  font-size: 14px;
  vertical-align: middle;
  transition: transform 0.2s ease;
  background-color: #ccc;
  width: 21px;
  height: 21px;
  border-radius: 5px;
  text-align: center;
}

footer .inner .center .areas-list .area-item.open .toggle-cities::after {
  content: '▲';
  background-color: #666;
  color: #fff;
}

footer .inner .center .areas-list .area-item .cities-list {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px 20px;
  overflow: hidden;
}

footer .inner .center .areas-list .area-item .cities-list li a {
  font-size: 14px;
  color: #fff;
  display: block;
}

footer .inner .bottom {
  border-top: 1px solid #fff;
  padding-top: 30px;
}

footer .inner .bottom ul {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px 20px;
  overflow: hidden;
}

footer .inner .bottom ul li a {
  font-size: 16px;
  color: #fff;
  display: block;
}

footer .inner .bottom p {
  font-size: 14px;
  color: #fff;
  padding: 30px 0;
}

footer .inner .bottom small {
  font-size: 14px;
  color: #fff;
  padding: 0;
}

#page_top {
  position: fixed;
  right: 15px;
  bottom: 15px;
  width: 40px;
  cursor: pointer;
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.4s ease-out;
  z-index: 2;
}

#page_top.show {
  visibility: visible;
  opacity: 1;
  pointer-events: auto;
}

/* contact */
.contact {
  background-color: rgba(3, 3, 3, 0.8);
  height: auto;
  position: fixed;
  bottom: 0;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 10px 0;
  z-index: 10;
}

.contact h2 {
  text-align: center;
  border-radius: 5px;
}

.contact h2 a {
  display: block;
  color: #fff;
  font-size: 14px;
  font-weight: bold;
  padding: 8px 0 10px;
  height: 100%;
}

/* official contact */
#official_contact h2 {
  width: 90%;
  background-color: var(--theme-color);
}

/* form contact */
#form_contact {
  flex-direction: column;
  gap: 5px;
}

#form_contact ul {
  width: 90%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 10px;
}

#form_contact li {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

#form_contact li a {
  width: 100%;
  padding: 5px;
  font-size: 14px;
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: nowrap;
  gap: 2px;
  border-radius: 5px;
  color: #fff;
  background-color: var(--theme-color);
}

#form_contact li a.line {
  background-color: #00B901;
}

#form_contact p {
  font-size: 12px;
  color: #fff;
  margin: 5px auto 0;
  text-align: center;
}

/* tablet */
@media (min-width: 768px) and (max-width: 1072px) {
  .sp {
    display: block !important;
  }

  .pc {
    display: block !important;
  }

  .br {
    display: none !important;
  }

  .pc-container {
    background-image: url(../img/index/hostgram_sozai01.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
  }

  .sp-container {
    width: 513px;
    flex: 0 0 513px;
    max-width: 513px;
    z-index: 5;
    margin: 0 auto;
  }

  .left-content .inner {
    max-height: 88vh;
    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
    background-color: transparent;
  }

  .left-content .inner::-webkit-scrollbar {
    display: none;
  }

  header {
    width: 513px;
    max-width: 513px;
    left: 50%;
    transform: translate(-50%);
  }

  .main_nav {
    width: 513px;
    left: 50%;
    transform: translateX(-50%) !important;
    opacity: 0;
    transition: opacity 0.5s ease-out;
    z-index: -1 !important;
  }

  .main_nav.open {
    opacity: 1;
    z-index: 14 !important;
  }

  footer .main-nav {
    transform: none !important;
    opacity: 1 !important;
  }

  .banner_content {
    max-width: 25%;
  }

  .modal-window__inner,
  .modal-window__inner b {
    width: 513px !important;
  }

  .contact {
    width: 513px;
  }
}

/* PC */
@media only screen and (min-width: 1073px) {
  .sp {
    display: block !important;
  }

  .pc {
    display: block !important;
  }

  .br {
    display: block !important;
  }

  .pc-container {
    display: flex;
    justify-content: center;
    align-items: stretch;
    background-image: url(../img/index/hostgram_sozai01.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
  }

  .sp-container {
    width: 513px;
    flex: 0 0 513px;
    max-width: 513px;
    z-index: 5;
    margin: 0 auto;
  }

  #page_top {
    right: auto;
    left: 50%;
    margin-left: 280px;
  }

  .left-container,
  .right-container {
    display: block;
    flex: 1;
    min-width: 0;
    min-height: 100vh;
    position: fixed;
    width: calc((100% - 513px) / 2);
    margin: 0 auto;
  }

  .left-container {
    left: 0;
  }

  .right-container {
    right: 0;
  }

  .left-content,
  .right-content {
    display: block;
    height: 100vh;
    width: fit-content;
    max-width: 80%;
    margin: 0 auto;
    position: absolute;
    left: 0;
    right: 0;
  }

  .left-content .inner,
  .right-content .inner {
    display: block;
    width: 100%;
    margin: 0 10px;
  }

  .left-content .inner {
    max-height: 100vh;
    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
    background-color: transparent;
  }

  .left-content .inner::-webkit-scrollbar {
    display: none;
  }

  .left-content .inner .logo {
    margin-top: 50px;
  }

  .left-content .inner .logo a {
    display: block;
    width: fit-content;
    margin: 0 auto;
  }

  .left-content .inner .logo img {
    width: 70%;
    min-width: 230px;
    max-width: 250px;
    display: block;
    margin: 0 auto;
  }

  .left-content .main_nav form input {
    height: 32px;
  }

  .left-content .main_nav form button {
    height: 32px;
    width: 32px;
  }

  /* side nav */
  .left-content .main_nav {
    position: static;
    transform: none;
    transition: none;
    width: 100%;
    overflow: hidden;
    height: auto;
    background: transparent;
    padding-top: 0;
  }

  .left-content .main_nav .inner {
    width: 100%;
    margin: 0 auto;
  }

  .left-content .main_nav p {
    background-color: #fff;
    font-size: 16px;
    padding: 8px;
  }

  .left-content .main_nav .inner .top h2 {
    font-size: 16px;
    font-weight: normal;
  }

  .left-content .main_nav .inner .top .area-list {
    gap: 8px;
  }

  .left-content .main_nav .inner .top .area-list li {
    width: calc((100% - 24px) / 4);
    min-width: 85px;
  }

  .left-content .main_nav .inner .top .area-list li a {
    font-size: 14px;
    font-weight: normal;
    padding: 4px;
  }

  .left-content .main_nav .inner .top .area-list .city-list li {
    width: 100%;
  }

  .left-content .main_nav .inner .top .area-list .city-list li a {
    font-size: 14px;
    padding: 4px;
  }

  .left-content .main_nav .inner .bottom ul {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px 0;
  }

  .left-content .main_nav .inner .bottom ul li {
    border: none;
    background-color: transparent;
    position: relative;
  }

  .left-content .main_nav .inner .bottom ul li::after {
    display: inline-block;
    content: "";
    top: 6px;
    right: 0;
    width: 1px;
    height: 16px;
    background-color: #333;
    background-image: none;
  }

  .left-content .main_nav .inner .bottom ul li::before,
  .left-content .main_nav .inner .bottom ul li:last-child::after {
    content: none;
    display: none;
  }

  .left-content .main_nav .inner .bottom ul li a {
    font-size: 16px;
    font-weight: normal;
    width: fit-content;
    padding: 0 10px;
  }

  .left-content .main_nav .inner .bottom ul li a:hover {
    color: var(--theme-color);
    transition: color 0.3s ease;
    filter: none;
  }

  .left-content .main_nav .inner .sns_link ul li a svg {
    width: 25px;
    height: 25px;
  }

  .left-content .main_nav .inner .sns_link ul li a:hover {
    fill: var(--theme-color);
    transition: fill 0.3s ease;
    filter: none;
  }

  header {
    display: none;
  }

  #container {
    padding-top: 0;
  }

  .contact {
    display: none;
  }

  .right-content #form_contact,
  .right-content #official_contact,
  .right-content #shop_contact {
    position: static;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    background-color: rgba(3, 3, 3, 0);
  }

  .right-content #form_contact ul,
  .right-content #official_contact h2,
  .right-content #shop_contact h2 {
    width: 100%;
    gap: 20px;
  }

  .right-content #form_contact li {
    display: block;
    width: 100%;
  }

  .right-content #form_contact li a,
  .right-content #official_contact h2 a,
  .right-content #shop_contact h2 a {
    font-size: 16px;
    margin: 0 auto;
    width: 100%;
    max-width: 200px;
    text-align: center;
  }

  .right-content #form_contact p {
    color: #333;
    font-size: 14px;
    margin-top: 0;
  }
}
